﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("ProvinceName");
            dt.Rows.Add("British Columbia");
            dt.Rows.Add("Alberta");
            dt.Rows.Add("Saskatchewan");
            dt.Rows.Add("Manitoba");
            dt.Rows.Add("Ontario");
            dt.Rows.Add("Quebec");
            dt.Rows.Add("New Brunswick");
            dt.Rows.Add("Nova Scotia");
            dt.Rows.Add("Newfoundland/Labrador");
            dt.Rows.Add("Prince Edward Island");
            dt.Rows.Add("Nunavut");
            dt.Rows.Add("Yukon");
            dt.Rows.Add("Northwest Territories");

            webDropDownProvince.DataSource = dt;
            webDropDownProvince.ValueField = "ProvinceName";
            webDropDownProvince.TextField = "ProvinceName";
        }
        webDropDownProvince.DataBind();
    }
    protected void webDropDownProvince_DataBound(object sender, EventArgs e)
    {
        webDropDownProvince.SelectedItemIndex = 0;
        webDropDownProvince_SelectionChanged(null, null);
    }
    protected void webDropDownProvince_SelectionChanged(object sender, Infragistics.Web.UI.ListControls.DropDownSelectionChangedEventArgs e)
    {
        webMaskEditProvincialRegistrationNumber.Enabled = true;
        requiredFieldValidatorPRN.Enabled = true;
        webMaskEditProvincialRegistrationNumber.Enabled = true;
        switch (webDropDownProvince.SelectedValue)
        {
            case "Alberta":
                webMaskEditProvincialRegistrationNumber.InputMask = "CCCCCCCCCCCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{12})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "British Columbia":
                webMaskEditProvincialRegistrationNumber.InputMask = "C CCCCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{1} [a-zA-Z0-9]{5})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "New Brunswick":
                webMaskEditProvincialRegistrationNumber.InputMask = "CCCCCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{6})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "Newfoundland/Labrador":
                webMaskEditProvincialRegistrationNumber.InputMask = "CCCC C";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{4} [a-zA-Z0-9]{1})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "Northwest Territories":
                webMaskEditProvincialRegistrationNumber.InputMask = "CCC CCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{3} [a-zA-Z0-9]{3})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "Nunavut":
                webMaskEditProvincialRegistrationNumber.InputMask = "CC CCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{2} [a-zA-Z0-9]{3})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "Ontario":
                webMaskEditProvincialRegistrationNumber.InputMask = "CCCCCCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{7})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "Prince Edward Island":
                webMaskEditProvincialRegistrationNumber.InputMask = "CCCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{4})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "Quebec":
                webMaskEditProvincialRegistrationNumber.InputMask = "CCCCCCCCC CC CCCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{9} [a-zA-Z0-9]{2} [a-zA-Z0-9]{4})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "Saskatchewan":
                webMaskEditProvincialRegistrationNumber.InputMask = "CCCCCCCCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{9})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            case "Yukon":
                webMaskEditProvincialRegistrationNumber.InputMask = "CCCCC";
                regularExpressionValidatorPRN.ValidationExpression = "([a-zA-Z0-9]{5})?";
                webMaskEditProvincialRegistrationNumber.Text = "";
                break;
            default:
                webMaskEditProvincialRegistrationNumber.InputMask = "CCC";
                webMaskEditProvincialRegistrationNumber.Enabled = false;
                webMaskEditProvincialRegistrationNumber.Text = "N/A";
                webMaskEditProvincialRegistrationNumber.Enabled = false;
                regularExpressionValidatorPRN.ValidationExpression = "(N/A)?";
                requiredFieldValidatorPRN.Enabled = false;
                break;
        }
        UpdatePanel2.Update();
    }
}
